Bug 808518 - Review Request: perl-Time-OlsonTZ-Download - Olson timezone database from source
Review Request: perl-Time-OlsonTZ-Download - Olson timezone database from source
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Time-Olso...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 11:17 EDT by Iain Arnell
Modified: 2012-04-11 23:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Time-OlsonTZ-Download-0.003-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 23:51:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2012-03-30 11:17:03 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Time-OlsonTZ-Download.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Time-OlsonTZ-Download-0.003-1.fc18.src.rpm

Description:
An object of this class represents a local copy of the source of the Olson
timezone database, possibly used to build binary tzfiles. The source copy
always begins by being downloaded from the canonical repository of the
Olson database. This class provides methods to help with extracting useful
information from the source.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3947745

*rt-0.10_02
Comment 1 Mario Blättermann 2012-04-01 11:42:36 EDT
$ rpmlint -i -v *perl-Time-OlsonTZ-Download.noarch: I: checking
perl-Time-OlsonTZ-Download.noarch: W: spelling-error %description -l en_US tzfiles -> files
The value of this tag appears to be misspelled. Please double-check.

perl-Time-OlsonTZ-Download.noarch: I: checking-url http://search.cpan.org/dist/Time-OlsonTZ-Download/ (timeout 10 seconds)
perl-Time-OlsonTZ-Download.src: I: checking
perl-Time-OlsonTZ-Download.src: W: spelling-error %description -l en_US tzfiles -> files
The value of this tag appears to be misspelled. Please double-check.

perl-Time-OlsonTZ-Download.src: I: checking-url http://search.cpan.org/dist/Time-OlsonTZ-Download/ (timeout 10 seconds)
perl-Time-OlsonTZ-Download.src: I: checking-url http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/Time-OlsonTZ-Download-0.003.tar.gz (timeout 10 seconds)
perl-Time-OlsonTZ-Download.spec: I: checking-url http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/Time-OlsonTZ-Download-0.003.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Just a few spelling errors which can be ignored.
Comment 2 Mario Blättermann 2012-04-01 11:49:21 EDT
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    eff33875b0c5147df65604ff2b0ba85d  Time-OlsonTZ-Download-0.003.tar.gz
    eff33875b0c5147df65604ff2b0ba85d  Time-OlsonTZ-Download-0.003.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------
Comment 3 Iain Arnell 2012-04-01 12:10:00 EDT
New Package SCM Request
=======================
Package Name: perl-Time-OlsonTZ-Download
Short Description: Olson timezone database from source
Owners: iarnell
Branches: f15 f16 f17
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2012-04-02 06:06:14 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-04-02 09:26:52 EDT
perl-Time-OlsonTZ-Download-0.003-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Time-OlsonTZ-Download-0.003-1.fc16
Comment 6 Fedora Update System 2012-04-02 09:27:02 EDT
perl-Time-OlsonTZ-Download-0.003-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Time-OlsonTZ-Download-0.003-1.fc15
Comment 7 Fedora Update System 2012-04-02 09:27:12 EDT
perl-Time-OlsonTZ-Download-0.003-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Time-OlsonTZ-Download-0.003-1.fc17
Comment 8 Fedora Update System 2012-04-02 13:47:03 EDT
perl-Time-OlsonTZ-Download-0.003-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-04-10 23:51:24 EDT
perl-Time-OlsonTZ-Download-0.003-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 10 Fedora Update System 2012-04-10 23:54:13 EDT
perl-Time-OlsonTZ-Download-0.003-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-04-11 12:55:19 EDT
perl-Time-OlsonTZ-Download-0.003-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-04-11 13:03:53 EDT
perl-Time-OlsonTZ-Download-0.003-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 13 Fedora Update System 2012-04-11 23:18:20 EDT
perl-Time-OlsonTZ-Download-0.003-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.